package com.atmob.keyboard_android.component.child.impl

import android.content.Context
import android.util.AttributeSet
import android.view.View
import com.atmob.keyboard_android.R
import com.atmob.keyboard_android.component.base.BaseUIComponent
import com.atmob.keyboard_android.component.child.IKeyBoardContainerComponent

/**
 * 键盘容器组件，包含多个键盘，例如拼音键盘和AI键盘，顶部是工具栏组件
 */
class KeyBoardContainerComponent @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0
) : BaseUIComponent<IKeyBoardContainerComponent>(context, attrs, defStyleAttr),
    IKeyBoardContainerComponent {
    private lateinit var vKeyboardContent: View

    override fun onInflateViewId(): Int {
        return R.layout.component_key_board_container
    }

    override fun findView(view: View) {
        vKeyboardContent = view.findViewById(R.id.keyboard_content)
    }

    override fun bindView(view: View) {
    }

    override fun getComponentInterfaceClazz(): Class<IKeyBoardContainerComponent> {
        return IKeyBoardContainerComponent::class.java
    }
}